Qore SqlUtil Module Reference: SqlUtil::AbstractForeignConstraint Class Reference

Qore SqlUtil Module Reference 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
SqlUtil::AbstractForeignConstraint Class Reference

the base class for foreign key constraint information More...

Inheritance diagram for SqlUtil::AbstractForeignConstraint:
[legend]

## Public Member Functions
| clearIndex ()
| clears any index base for the constraint
private bool | equalImpl (AbstractConstraint con)
| returns True if the argument is equal to the current object, False if not
bool | hasColumn (string cname)
| returns True if the constraint references the named column
bool | setIndexBase (string ix)
| returns True if the object supports an index property and is set, False if not
Public Member Functions inherited from SqlUtil::AbstractConstraint
| constructor (string n)
| creates the object and sets its name
bool | equal (AbstractConstraint c)
| returns True if the argument is equal to the current object, False if not
abstract string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the constraint in the database
string | getDisableSql (string table_name)
| returns a string that can be used to temporarily disable the constraint from the database; if disabling constraints is not supported, then the constraint will be dropped
string | getDropSql (string table_name)
| returns a string that can be used to drop the constraint from the database
string | getEnableSql (string table_name, *hash opt)
| returns a string that can be used to enable the constraint in the database; if disabling constraints is not supported, then the constraint will be dropped
string | getName ()
| returns the constraint name
abstract list | getRenameSql (string table_name, string new_name)
| returns a list of SQL strings that can be used to rename the constraint in the database
bool | hasColumn (string cname)
| returns True if the constraint references the named column
| rename (string n)
| renames the constraint

## Public Attributes
Columns | columns
| an object of class Columns giving the source table that make up the constraint
ForeignConstraintTarget | target
| a ForeignConstraintTarget object to describe the target table and columns

## Detailed Description

the base class for foreign key constraint information